Copy multiple files

This call lets you perform a bulk copy operation of files and folders. Any underlying folder structure will be preserved. You can copy:

  • to a folder within the same project
  • to another project
  • to a folder in another project
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/async/files/copy

Example request body

{
  "items": [
    {
      "file": "5c6d3f30e4b038563238932f",
      "parent": "1e3de690c4b058509735944e",
      "project": "",
      "name": "my-new-file"
    },
    {
      "file": "5c6d3f30e4b038563238932b",
      "parent": "2c6d3b10e5e031231235932g",
      "name": ""
    },
    {
      "file": "5c6d3f30e4b0385632389331",
      "parent": "85c6d3f30e4b038516235932h",
      "name": ""
    }
  ]
}

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response.

Response body

KeyData type of valueDescription of value
typestringThe type of job, which is COPY in the case of copying files.
total_filesstringThe total number of files which will be processed. You can obtain this information using the call for getting the details of a copy job.
statestringThe state is SUBMITTED at the time of making this call.
resultstringThis key will show the result if available at the time the call is made. Use the details of a copy job to see more information.
idstringID of this copy job.
failed_filesstringThe number of failed files if that information is available at the time of the call. You can get details of a copy job with a dedicated call.
completed_filesstringThe number of completed files if that information is available at the time of the call. You can get details of a copy job with a dedicated call.
Body Params
items
array of objects
required
items*
Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json